# NucML

Pedro Vicente-Valdez\
Nuclear Engineering PhD Candidate - UC Berkeley \
pedro.vicentevz@berkeley.edu
Neutronics Group



NucML is the first and only end-to-end python-based supervised machine learning pipeline for enhanced bias-free nuclear data generation and evaluation to support the advancement of next-generation nuclear systems. It offers capabilities that allows researchers to navigate through each step of the ML-based nuclear data cross section evaluation pipeline. Some of the supported activities include include dataset parsing and compilation of reaction data, exploratory data analysis, data manipulation and feature engineering, model training and evaluation, and validation via criticality benchmarks. Some of the inherit benefits of this approach are the reduced human-bias in the generation and solution and the fast iteration times. Resulting data from these models can aid the current NDE and help decisions in uncertain scenarios.


# Installation and Setup

Please refer to the Installation guide in the official documentation here: https://pedrojrv.github.io/nucml/getting-started.html.


<!-- cd C:\Users\Pedro\Desktop\nucml\sphinx
sphinx-apidoc -f -o source ../nucml/
sphinx-build source ../html/
make html -->